@mixin custom-scroll-bar() {
	&::-webkit-scrollbar {
		border-radius: 10px;
		height: 10px;
		width: 8px;
	}

	&::-webkit-scrollbar-thumb {
		background: #999;
		border-radius: 10px;
	}

	&::-webkit-scrollbar-track {
		border-radius: 10px;
	}
}

.content {
	&-wrapper {
		display: flex;
		width: 100%;
		height: -webkit-fill-available;
		position: relative;
		&:before {
			content: " ";
			display: block;
			position: absolute;
			left: 0;
			top: 0;
			width: 100%;
			height: 100%;
			opacity: 0.6;
			background: url(../assets/home-ap.jpg) center no-repeat;
			background-color: white;
		}
		&-body {
			width: calc(100% - 11rem);
			z-index: 9;
		}
		&-children {
			padding: 1rem 2rem;
			height: calc(100% - 6rem);
			overflow-y: scroll;
			@include custom-scroll-bar();
		}
	}
	&-head-wrap {
		display: flex;
		align-items: center;
		justify-content: space-between;
		height: 4rem;
		font-size: 25px;
		font-weight: 600;
		padding: 0 2rem;
		color: #433a3a;
	}
}

.profile {
	&-wrapper {
		display: flex;
		box-shadow: 1px 1px 6px 0px #bdbdbd;
		padding: 10px 20px;
		border-radius: 17px;
		background-color: rgb(237 246 246 / 80%);
		p {
			margin: 0;
			text-align: right;
		}
	}
	&-icon {
		width: 30px !important;
		height: 30px !important;
		margin-left: 10px;
	}
	&-name {
		font-size: 13px;
	}
	&-email {
		font-size: 12px;
		margin-top: 3px !important;
		font-weight: normal;
	}
}

.sidenav {
	&-wrapper {
		display: flex;
		flex-direction: column;
		width: 11rem;
		background-color: #26a69a;
		border-top-right-radius: 22px;
		border-bottom-right-radius: 22px;
		box-shadow: 1px 1px 11px 3px #cacccd;
		z-index: 10;
	}
	&-title {
		padding: 8px 10px 0;
		text-align: center;
		line-height: 1.5;
		color: white;
		margin-bottom: 3rem;
		span {
			font-size: 11px;
			display: block;
		}
	}
	&-items {
		padding: 2rem 1.5rem;
		cursor: pointer;
		color: white;
		margin: 0;
		font-weight: bold;
		text-align: center;
		text-decoration: unset;
		&:hover {
			color: #433a3a;
			background-color: #cee6e5;
		}
		a {
			color: inherit;
			text-decoration: unset;
		}
		&.active {
			color: #433a3a;
			background-color: #cee6e5;
		}
	}
}

.sellers {
	&-search-wrapper {
		padding-bottom: 2rem;
		padding-top: 1rem;
		text-align: center;
	}
	&-search {
		width: 80%;
		max-width: 30rem;
		& .MuiOutlinedInput-root {
			background-color: white;
			border-radius: 30px;
			box-shadow: 1px 1px 8px -2px #9e9e9e;
		}
		& .MuiOutlinedInput-input {
			padding: 10px;
		}
	}
}

.seller-name {
	font-size: 14px;
	font-weight: bold;
	color: #433a3a;
	margin-right: 6px;
}
.seller-text {
	font-size: 13px;
}
.seller-icon {
	font-size: 13px;
	margin-left: auto;
}
.btn-status {
	display: inline;
	color: white;
	padding: 5px;
	border-radius: 5px;
	font-size: 13px;
	&.blue {
		background: #1e88e5;
	}

	&.red {
		background: #f50057;
	}

	&.green {
		background: #7cb342;
	}

	&.yellow {
		background: #daa32d;
	}
}

.slotTable {
	&-head {
		font-weight: bold !important;
	}
}
